Name:           e_dbus
Version:        1.0.0
Release:        2%{?dist}
Summary:        Wrappers around dbus for EFL based applications

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.enlightenment.org/
Source0:        http://download.enlightenment.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Patch10:	e_dbus-1.0.0_fix-DSO.patch
#Patch20:	e_dbus-1.0.0_fix2-DSO.patch
#Patch30:	e_dbus-1.0.0_fix3-DSO.patch
#Patch40:	e_dbus-1.0.0_fix-makefileam.patch

BuildRequires:  ecore-devel evas-devel dbus-devel chrpath pkgconfig autoconf automake
BuildRequires:	libtool

%description
Basic convenience wrappers around dbus to ease integrating dbus with EFL based
applications.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       dbus-devel ecore-devel evas-devel pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}
#%patch10 -p0
#%patch20 -p0
#%patch30 -p0
#%patch40 -p0

%build
%configure --disable-static 
#export LD_LIBRARY_PATH=$( pwd )/src/lib/dbus/.libs/libedbus.so.1
make V=1 %{?_smp_mflags}

#sed -i 's,link_all_deplibs=no,link_all_deplibs=yes,' configure
#sed -i 's,_LT_TAGVAR(link_all_deplibs, $1)=no,_LT_TAGVAR(link_all_deplibs, $1)=yes,' m4/libtool.m4



%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm %{buildroot}%{_bindir}/%{name}_*
chrpath --delete %{buildroot}%{_bindir}/e-notify-send
chrpath --delete %{buildroot}%{_libdir}/*.so.*
find %{buildroot} -name '*.la' -delete


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/e-notify-send
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-1
- final 1.0.0 release

* Wed Dec 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta3
- beta 3 release

* Tue Nov 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta2
- beta 2 release

* Sat Nov 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.0.0-0.1.beta1
- beta 1 release

* Fri Jul 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.49898-1
- e_dbus 0.5.0.49898 snapshot release

* Fri Jun 11 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.49539-1
- e_dbus 0.5.0.49539 snapshot release

* Mon Feb 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.063-1
- New upstream source 0.5.0.063-1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.050-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.050-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.043-1
- New upstream snapshot

* Sat May 17 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-3
- Fixed pkgconfig missing from buildrequires and requires of e_dbus-devel
- Removed unneeded test binaries
- Fixed copypaste abuse in enm.pc.in, patch upstreamed

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-2
- Fixed typo in E_Nm.h, fix committed upstream
- Added missing dependencies to e_dbus-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-1
- Initial specfile for e_dbus
